Bug 365971 - konversation hangs completely, waits forever for DCOP reply
konversation hangs completely, waits forever for DCOP reply
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 14:00 EST by Juha Tuomala
Modified: 2009-01-09 00:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:05:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2007-11-04 14:00:05 EST
Description of problem:

I've konverastion running all the time and sometimes when i come to the 
computer, whole window is just solid gray and non responsive. if if try to 
kill it by pressing the x icon from window corner, window manager will say 
that it's unresponsive.

I've two irc networks connected, other typically has one channel active, other 
multiple, about ten or so. no logging or other fancy stuff. 

One other wierd thing compared to fc6 was that I've noticed that server 
connections tend to break constantly causing hopping out and in from channels. 
At some point (couple days ago) it was something like once in 15min, sometimes 
it lasted longer. Recently it has not happened that much. OS upgrade was only 
that changed so that's why i suspect something fishy in application or OS 
itself. I know, this is bit blurry explanation, but thought to mention it once 
here with konversation and people always complain about 
too-few-information-in-bugreports.

Had to take this traceback with SIGABRT.

Version-Release number of selected component (if applicable):


How reproducible:
continuously seems to be.

Steps to Reproduce:
1. use it.
2. it hangs at some point, some day. typically once a day.
3.
  
Actual results:
Using host libthread_db library "/lib64/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 46912496358832 (LWP 28140)]
[KCrash handler]
#5  0x0000003ac140d349 in read () from /lib64/libpthread.so.0
#6  0x0000003446e2bd8f in _kde_IceTransSocketRead (
    ciptr=<value optimized out>, buf=0xaa21b0 "\002\001", size=8)
    at /usr/include/bits/unistd.h:45
#7  0x0000003446e25acb in _kde_IceRead (iceConn=0xaa2070, 
    nbytes=<value optimized out>, ptr=0xaa21b0 "\002\001") at misc.c:249
#8  0x0000003446e2a331 in KDE_IceProcessMessages (iceConn=0xaa2070, 
    replyWait=0x7fff3dd948d0, replyReadyRet=0x7fff3dd9497c) at process.c:153
#9  0x0000003446e1800a in DCOPClient::callInternal (this=0xa9fe70, 
    remApp=<value optimized out>, remObjId=@0x7fff3dd94c00, 
    remFun=<value optimized out>, data=@0x7fff3dd94bc0, 
    replyStruct=0x7fff3dd94a00, useEventLoop=false, timeout=-1, 
    minor_opcode=2) at dcopclient.cpp:1934
#10 0x0000003446e18309 in DCOPClient::callInternal (this=0xa9fe70, 
    remApp=@0x7fff3dd94c10, remObjId=@0x7fff3dd94c00, remFun=@0x7fff3dd94bf0, 
    data=@0x7fff3dd94bc0, replyType=@0x7fff3dd94bd0, 
    replyData=@0x7fff3dd94bb0, useEventLoop=false, timeout=-1, minor_opcode=2)
    at dcopclient.cpp:1824
#11 0x0000003446e1c848 in DCOPClient::call (this=0xa9fe70, 
    remApp=@0x7fff3dd94c10, remObjId=@0x7fff3dd94c00, remFun=@0x7fff3dd94bf0, 
    data=@0x7fff3dd94bc0, replyType=@0x7fff3dd94bd0, 
    replyData=@0x7fff3dd94bb0, useEventLoop=false, timeout=-1)
    at dcopclient.cpp:1768
#12 0x0000003446e1c873 in DCOPClient::call (this=0x3, remApp=@0xaa21b0, 
    remObjId=@0x8, remFun=@0xffffffffffffffff, data=@0xa9fed0, 
    replyType=@0x3, replyData=@0x7fff3dd94bb0, useEventLoop=false)
    at dcopclient.cpp:1733
#13 0x0000003446e1e51b in DCOPClient::isApplicationRegistered (this=0xa9fe70, 
    remApp=<value optimized out>) at dcopclient.cpp:1228
#14 0x00000034477da5e7 in KNotifyClient::startDaemon ()
    at knotifyclient.cpp:228
#15 0x00000034477da963 in sendNotifyEvent (message=@0x7fff3dd94e30, 
    text=@0x7fff3dd94e10, present=-1, level=-1, sound=@0x840b70, 
    file=@0x840b70, winId=56623304) at knotifyclient.cpp:96
#16 0x00000034477dab76 in KNotifyClient::event (winId=<value optimized out>, 
    message=@0x0, text=@0xaa21b0) at knotifyclient.cpp:153
#17 0x000000000052ab97 in Konversation::NotificationHandler::connectionFailure
    (this=0x111fe10, chatWin=<value optimized out>, server=@0x7fff3dd94f80)
    at notificationhandler.cpp:343
#18 0x00000000004dd966 in Server::broken (this=0x2aaab40d4dd0, state=0)
    at server.cpp:660
#19 0x00000000004e3936 in Server::qt_invoke (this=0x2aaab40d4dd0, _id=56, 
    _o=0x7fff3dd95350) at server.moc:876
#20 0x0000003446563a59 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#21 0x0000003446564730 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#22 0x0000003447815fa8 in KNetwork::KClientSocketBase::close (
    this=0x2aaab4324d70) at kclientsocketbase.cpp:277
#23 0x00000034478161d9 in KNetwork::KBufferedSocket::closeNow (this=0x3)
    at kbufferedsocket.cpp:292
#24 0x00000000004e3c46 in Server::qt_invoke (this=0x2aaab40d4dd0, _id=83, 
    _o=0x7fff3dd955c0) at server.moc:903
#25 0x0000003446563a59 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#26 0x0000003446564730 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#27 0x0000003446587175 in QTimer::event ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#28 0x00000034465029a5 in QApplication::internalNotify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#29 0x0000003446503c70 in QApplication::notify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#30 0x00000034477c3678 in KApplication::notify (this=0x7fff3dd97790, 
    receiver=0x2aaab40d5320, event=0x7fff3dd95900) at kapplication.cpp:550
#31 0x00000034464f7bbc in QEventLoop::activateTimers ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#32 0x00000034464b0f01 in QEventLoop::processEvents ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#33 0x000000344651a151 in QEventLoop::enterLoop ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#34 0x0000003446e18083 in DCOPClient::callInternal (this=0xa9fe70, 
    remApp=<value optimized out>, remObjId=@0x7fff3dd95f60, 
    remFun=<value optimized out>, data=<value optimized out>, 
    replyStruct=0x7fff3dd95d50, useEventLoop=true, timeout=-1, minor_opcode=2)
    at dcopclient.cpp:1908
#35 0x0000003446e18309 in DCOPClient::callInternal (this=0xa9fe70, 
    remApp=@0x7fff3dd95f70, remObjId=@0x7fff3dd95f60, remFun=@0x7fff3dd95f50, 
    data=@0x7fff3dd95f40, replyType=@0x7fff3dd95f20, 
    replyData=@0x7fff3dd95f30, useEventLoop=true, timeout=-1, minor_opcode=2)
    at dcopclient.cpp:1824
#36 0x0000003446e1c848 in DCOPClient::call (this=0xa9fe70, 
    remApp=@0x7fff3dd95f70, remObjId=@0x7fff3dd95f60, remFun=@0x7fff3dd95f50, 
    data=@0x7fff3dd95f40, replyType=@0x7fff3dd95f20, 
    replyData=@0x7fff3dd95f30, useEventLoop=true, timeout=-1)
    at dcopclient.cpp:1768
#37 0x0000003446e1c873 in DCOPClient::call (this=0x3, remApp=@0xaa21b0, 
    remObjId=@0x8, remFun=@0xffffffffffffffff, data=@0xa9fed0, 
    replyType=@0x3, replyData=@0x7fff3dd95f30, useEventLoop=true)
    at dcopclient.cpp:1733
#38 0x00000000004ea3d8 in OSDWidget::isKDesktopLockRunning () at osd.cpp:422
#39 0x00000000004eaae9 in OSDWidget::show (this=0x3) at osd.cpp:243
#40 0x00000000004e9efc in OSDWidget::showOSD (this=0xa9ed60, 
    text=<value optimized out>, preemptive=false) at osd.cpp:142
#41 0x000000000052c43f in Konversation::NotificationHandler::join (
    this=<value optimized out>, chatWin=0x2aaab42db090, nick=@0x7fff3dd96360)
    at notificationhandler.cpp:148
#42 0x00000000004a0bfd in InputFilter::parseClientCommand (
    this=0x2aaab40d5118, prefix=@0x7fff3dd96c80, command=@0x7fff3dd96c70, 
    parameterList=@0x7fff3dd96c60, _trailing=@0x7fff3dd96ca0)
    at inputfilter.cpp:511
#43 0x00000000004ac3ce in InputFilter::parseLine (this=0x2aaab40d5118, 
    a_newLine=<value optimized out>) at inputfilter.cpp:112
#44 0x00000000004d51b1 in Server::processIncomingData (this=0x2aaab40d4dd0)
    at server.cpp:1024
#45 0x00000000004e390c in Server::qt_invoke (this=0x2aaab40d4dd0, _id=54, 
    _o=0x7fff3dd970c0) at server.moc:874
#46 0x0000003446563a59 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#47 0x0000003446564730 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#48 0x0000003446587175 in QTimer::event ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#49 0x00000034465029a5 in QApplication::internalNotify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#50 0x0000003446503c70 in QApplication::notify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#51 0x00000034477c3678 in KApplication::notify (this=0x7fff3dd97790, 
    receiver=0x2aaab40d4ee0, event=0x7fff3dd97400) at kapplication.cpp:550
#52 0x00000034464f7bbc in QEventLoop::activateTimers ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#53 0x00000034464b0f01 in QEventLoop::processEvents ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#54 0x000000344651a151 in QEventLoop::enterLoop ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#55 0x000000344651a032 in QEventLoop::exec ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#56 0x00000000004e6fd8 in main (argc=1, argv=<value optimized out>)
    at main.cpp:109
#57 0x0000003ac081e074 in __libc_start_main () from /lib64/libc.so.6
#58 0x000000000043d8a9 in _start ()


Expected results:


Additional info:
KDE Version  3.5.8-5.fc8 Fedora (KDE 3.5.8-7.fc8 Fedora, Fedora release 8 
(Werewolf))
1  Application  konversation
1  Operating System  Linux (x86_64) release 2.6.23.1-42.fc8
1  Compiler  Target: x86_64-redhat-linux
Comment 1 Juha Tuomala 2007-11-04 14:04:23 EST
Ah, one thing worth of mentioning is that I've some notifications with sounds 
and fc8 KDE arts+pulseaudio+alsa has been completely broken. Sometimes some 
sounds come trough, and when they do, it feels like a damn has broken down and 
last few hours of notifications come out at once. 

Mostly sounds doesn't work and playing music might work for 15s of song and 
then it breaks again (arts crashing to cpu overload, etc etc).

So, wouldn't be surprised at all that this is notification related.
Comment 2 Kevin Kofler 2007-11-04 14:14:40 EST
That may be related to the sound server issues. It's KNotifyClient locking up 
because it's trying to make a DCOP call and getting no answer. So the DCOP 
service it's trying to call (kded or knotify) is probably locked up.
Comment 3 Juha Tuomala 2007-11-06 03:32:01 EST
Well, i removed pulseaudio kde packages and am using alsa directly from arts 
now. And it still hangs as previously. There is something fishy elsewhere.
Comment 4 Juha Tuomala 2007-11-12 10:12:43 EST
disabling all notifications doesn't seem to help.
Comment 5 Bug Zapper 2008-11-26 03:12:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:05:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.